{
  description = "Extended KDE cursor, Highly inspired on KDE Breeze for Windows and Linux with HiDPi Support.";
  inputs = {
    nixpkgs.url = "nixpkgs/nixos-24.05";
  };
  outputs = { nixpkgs, ... }:
  let
    system = "x86_64-linux";
    pkgs = import nixpkgs { inherit system; };
  in
  {
    packages.${system}.default = pkgs.stdenv.mkDerivation {
      pname = "breezex-curosr";
      version = "2.0.1";

      src = pkgs.fetchurl {
          url = "https://github.com/ful1e5/BreezeX_Cursor/releases/download/v2.0.1/BreezeX.tar.xz";
          hash = "sha256:1I6WQT/GH/AE2wDN1NdZ6XivRNhCsrWP/pG6UIZT7R8=";
      };

      # fix 'unpacker produced multiple directories'
      sourceRoot = ".";

      buildPhase = ''
        mkdir -p $out/share/icons
        cp -r BreezeX-Black $out/share/icons
        cp -r BreezeX-Dark $out/share/icons
        cp -r BreezeX-Light $out/share/icons
      '';
    };
  };
}
